Subject: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Mon, 3 Oct 2022 18:47:45 +0200

HI Eli,

there's nothing wrong, really. The thing is that you may want to change it
just for one call of format-time-string
(or at least I wanted it) without having to change it permanently.

BTW am I missing something .. would your let just change the value of
system-time-locale in the body of the let and then restore it to its
original value?

/PA

Best, /PA

On Mon, 3 Oct 2022 at 18:38, Eli Zaretskii <[email-masked]> wrote:

> > From: Pedro Andres Aranda Gutierrez <[email-masked]>
> > Date: Mon, 3 Oct 2022 07:37:56 +0200
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > On that side good. On the other hand, I still think that a macro only
> controlling the system-locale for the time
> > functions may be useful despite, I admit, being somehow redundant. My
> feeling is that many of the settings
> > changed in with-locale-environment don't need to be changed for
> format-time-string.
>
> What's wrong with
>
>   (let ((system-time-local SOME-LOCALE))
>      DO-SOMETHING)
>
> > Digression: What about adding a third (optional) parameter to
> format-time-string to set the locale for a
> > specific call?
>
> How is that different from
>
>    (let ((system-time-local SOME-LOCALE))
>      (format-time-string ....))
>
>

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler

Headaches with a Juju log:
unit-basic-16: 09:17:36 WARNING juju.worker.uniter.operation we should run
a leader-deposed hook here, but we can't yet